<html><head>
<link href="style.css" rel="stylesheet" type="text/css"/>
<title>All Thrift declarations</title></head><body>
<h1>All Thrift declarations</h1>
<table><tr><th>Module</th><th>Services</th><th>Data types</th><th>Constants</th></tr>
<tr>
<td>NoteStore</td><td><a href="NoteStore.html#Svc_NoteStore">NoteStore</a><br/>
<ul>
<li><a href="NoteStore.html#Fn_NoteStore_authenticateToSharedNote">authenticateToSharedNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_authenticateToSharedNotebook">authenticateToSharedNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_copyNote">copyNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createLinkedNotebook">createLinkedNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createNote">createNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createNotebook">createNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createOrUpdateNotebookShares">createOrUpdateNotebookShares</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createSearch">createSearch</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_createTag">createTag</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_deleteNote">deleteNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_emailNote">emailNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_expungeLinkedNotebook">expungeLinkedNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_expungeNote">expungeNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_expungeNotebook">expungeNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_expungeSearch">expungeSearch</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_expungeTag">expungeTag</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_findNoteCounts">findNoteCounts</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_findNoteOffset">findNoteOffset</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_findNotesMetadata">findNotesMetadata</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_findRelated">findRelated</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getDefaultNotebook">getDefaultNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getFilteredSyncChunk">getFilteredSyncChunk</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getLinkedNotebookSyncChunk">getLinkedNotebookSyncChunk</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getLinkedNotebookSyncState">getLinkedNotebookSyncState</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNote">getNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteApplicationData">getNoteApplicationData</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteApplicationDataEntry">getNoteApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteContent">getNoteContent</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteSearchText">getNoteSearchText</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteTagNames">getNoteTagNames</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteVersion">getNoteVersion</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNoteWithResultSpec">getNoteWithResultSpec</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNotebook">getNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getNotebookShares">getNotebookShares</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getPublicNotebook">getPublicNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResource">getResource</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceAlternateData">getResourceAlternateData</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceApplicationData">getResourceApplicationData</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceApplicationDataEntry">getResourceApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceAttributes">getResourceAttributes</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceByHash">getResourceByHash</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceData">getResourceData</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceRecognition">getResourceRecognition</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getResourceSearchText">getResourceSearchText</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getSearch">getSearch</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getSharedNotebookByAuth">getSharedNotebookByAuth</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getSyncState">getSyncState</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_getTag">getTag</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listAccessibleBusinessNotebooks">listAccessibleBusinessNotebooks</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listLinkedNotebooks">listLinkedNotebooks</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listNoteVersions">listNoteVersions</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listNotebooks">listNotebooks</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listSearches">listSearches</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listSharedNotebooks">listSharedNotebooks</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listTags">listTags</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_listTagsByNotebook">listTagsByNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_manageNotebookShares">manageNotebookShares</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_setNoteApplicationDataEntry">setNoteApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_setNotebookRecipientSettings">setNotebookRecipientSettings</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_setResourceApplicationDataEntry">setResourceApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_shareNote">shareNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_shareNotebook">shareNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_stopSharingNote">stopSharingNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_unsetNoteApplicationDataEntry">unsetNoteApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_unsetResourceApplicationDataEntry">unsetResourceApplicationDataEntry</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_untagAll">untagAll</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateLinkedNotebook">updateLinkedNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateNote">updateNote</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateNoteIfUsnMatches">updateNoteIfUsnMatches</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateNotebook">updateNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateResource">updateResource</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateSearch">updateSearch</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateSharedNotebook">updateSharedNotebook</a></li>
<li><a href="NoteStore.html#Fn_NoteStore_updateTag">updateTag</a></li>
</ul>
</td>
<td><a href="NoteStore.html#Struct_CreateOrUpdateNotebookSharesResult">CreateOrUpdateNotebookSharesResult</a><br/>
<a href="NoteStore.html#Struct_InvitationShareRelationship">InvitationShareRelationship</a><br/>
<a href="NoteStore.html#Struct_ManageNoteSharesError">ManageNoteSharesError</a><br/>
<a href="NoteStore.html#Struct_ManageNoteSharesParameters">ManageNoteSharesParameters</a><br/>
<a href="NoteStore.html#Struct_ManageNoteSharesResult">ManageNoteSharesResult</a><br/>
<a href="NoteStore.html#Struct_ManageNotebookSharesError">ManageNotebookSharesError</a><br/>
<a href="NoteStore.html#Struct_ManageNotebookSharesParameters">ManageNotebookSharesParameters</a><br/>
<a href="NoteStore.html#Struct_ManageNotebookSharesResult">ManageNotebookSharesResult</a><br/>
<a href="NoteStore.html#Struct_MemberShareRelationship">MemberShareRelationship</a><br/>
<a href="NoteStore.html#Struct_NoteCollectionCounts">NoteCollectionCounts</a><br/>
<a href="NoteStore.html#Struct_NoteEmailParameters">NoteEmailParameters</a><br/>
<a href="NoteStore.html#Struct_NoteFilter">NoteFilter</a><br/>
<a href="NoteStore.html#Struct_NoteInvitationShareRelationship">NoteInvitationShareRelationship</a><br/>
<a href="NoteStore.html#Struct_NoteList">NoteList</a><br/>
<a href="NoteStore.html#Struct_NoteMemberShareRelationship">NoteMemberShareRelationship</a><br/>
<a href="NoteStore.html#Struct_NoteMetadata">NoteMetadata</a><br/>
<a href="NoteStore.html#Struct_NoteResultSpec">NoteResultSpec</a><br/>
<a href="NoteStore.html#Struct_NoteShareRelationshipRestrictions">NoteShareRelationshipRestrictions</a><br/>
<a href="NoteStore.html#Struct_NoteShareRelationships">NoteShareRelationships</a><br/>
<a href="NoteStore.html#Struct_NoteVersionId">NoteVersionId</a><br/>
<a href="NoteStore.html#Struct_NotebookShareTemplate">NotebookShareTemplate</a><br/>
<a href="NoteStore.html#Struct_NotesMetadataList">NotesMetadataList</a><br/>
<a href="NoteStore.html#Struct_NotesMetadataResultSpec">NotesMetadataResultSpec</a><br/>
<a href="NoteStore.html#Struct_RelatedQuery">RelatedQuery</a><br/>
<a href="NoteStore.html#Struct_RelatedResult">RelatedResult</a><br/>
<a href="NoteStore.html#Struct_RelatedResultSpec">RelatedResultSpec</a><br/>
<a href="NoteStore.html#Enum_ShareRelationshipPrivilegeLevel">ShareRelationshipPrivilegeLevel</a><br/>
<a href="NoteStore.html#Struct_ShareRelationshipRestrictions">ShareRelationshipRestrictions</a><br/>
<a href="NoteStore.html#Struct_ShareRelationships">ShareRelationships</a><br/>
<a href="NoteStore.html#Struct_SharedNoteTemplate">SharedNoteTemplate</a><br/>
<a href="NoteStore.html#Struct_SyncChunk">SyncChunk</a><br/>
<a href="NoteStore.html#Struct_SyncChunkFilter">SyncChunkFilter</a><br/>
<a href="NoteStore.html#Struct_SyncState">SyncState</a><br/>
<a href="NoteStore.html#Struct_UpdateNoteIfUsnMatchesResult">UpdateNoteIfUsnMatchesResult</a><br/>
<a href="NoteStore.html#Enum_UserSetting">UserSetting</a><br/>
</td>
<td><code></code></td>
</tr><tr>
<td>UserStore</td><td><a href="UserStore.html#Svc_UserStore">UserStore</a><br/>
<ul>
<li><a href="UserStore.html#Fn_UserStore_authenticateLongSession">authenticateLongSession</a></li>
<li><a href="UserStore.html#Fn_UserStore_authenticateToBusiness">authenticateToBusiness</a></li>
<li><a href="UserStore.html#Fn_UserStore_checkVersion">checkVersion</a></li>
<li><a href="UserStore.html#Fn_UserStore_completeTwoFactorAuthentication">completeTwoFactorAuthentication</a></li>
<li><a href="UserStore.html#Fn_UserStore_getAccountLimits">getAccountLimits</a></li>
<li><a href="UserStore.html#Fn_UserStore_getBootstrapInfo">getBootstrapInfo</a></li>
<li><a href="UserStore.html#Fn_UserStore_getPremiumInfo">getPremiumInfo</a></li>
<li><a href="UserStore.html#Fn_UserStore_getPublicUserInfo">getPublicUserInfo</a></li>
<li><a href="UserStore.html#Fn_UserStore_getUser">getUser</a></li>
<li><a href="UserStore.html#Fn_UserStore_getUserUrls">getUserUrls</a></li>
<li><a href="UserStore.html#Fn_UserStore_inviteToBusiness">inviteToBusiness</a></li>
<li><a href="UserStore.html#Fn_UserStore_listBusinessInvitations">listBusinessInvitations</a></li>
<li><a href="UserStore.html#Fn_UserStore_listBusinessUsers">listBusinessUsers</a></li>
<li><a href="UserStore.html#Fn_UserStore_removeFromBusiness">removeFromBusiness</a></li>
<li><a href="UserStore.html#Fn_UserStore_revokeLongSession">revokeLongSession</a></li>
<li><a href="UserStore.html#Fn_UserStore_updateBusinessUserIdentifier">updateBusinessUserIdentifier</a></li>
</ul>
</td>
<td><a href="UserStore.html#Struct_AuthenticationResult">AuthenticationResult</a><br/>
<a href="UserStore.html#Struct_BootstrapInfo">BootstrapInfo</a><br/>
<a href="UserStore.html#Struct_BootstrapProfile">BootstrapProfile</a><br/>
<a href="UserStore.html#Struct_BootstrapSettings">BootstrapSettings</a><br/>
<a href="UserStore.html#Struct_PublicUserInfo">PublicUserInfo</a><br/>
<a href="UserStore.html#Struct_UserUrls">UserUrls</a><br/>
</td>
<td><code><a href="UserStore.html#Const_EDAM_VERSION_MAJOR">EDAM_VERSION_MAJOR</a><br/>
<a href="UserStore.html#Const_EDAM_VERSION_MINOR">EDAM_VERSION_MINOR</a><br/>
</code></td>
</tr><tr>
<td>Types</td><td></td>
<td><a href="Types.html#Struct_AccountLimits">AccountLimits</a><br/>
<a href="Types.html#Struct_Accounting">Accounting</a><br/>
<a href="Types.html#Struct_Ad">Ad</a><br/>
<a href="Types.html#Struct_BusinessInvitation">BusinessInvitation</a><br/>
<a href="Types.html#Enum_BusinessInvitationStatus">BusinessInvitationStatus</a><br/>
<a href="Types.html#Struct_BusinessNotebook">BusinessNotebook</a><br/>
<a href="Types.html#Struct_BusinessUserAttributes">BusinessUserAttributes</a><br/>
<a href="Types.html#Struct_BusinessUserInfo">BusinessUserInfo</a><br/>
<a href="Types.html#Enum_BusinessUserRole">BusinessUserRole</a><br/>
<a href="Types.html#Struct_Contact">Contact</a><br/>
<a href="Types.html#Enum_ContactType">ContactType</a><br/>
<a href="Types.html#Struct_Data">Data</a><br/>
<a href="Types.html#Typedef_Guid">Guid</a><br/>
<a href="Types.html#Struct_Identity">Identity</a><br/>
<a href="Types.html#Typedef_IdentityID">IdentityID</a><br/>
<a href="Types.html#Typedef_InvalidationSequenceNumber">InvalidationSequenceNumber</a><br/>
<a href="Types.html#Struct_LazyMap">LazyMap</a><br/>
<a href="Types.html#Struct_LinkedNotebook">LinkedNotebook</a><br/>
<a href="Types.html#Typedef_MessageEventID">MessageEventID</a><br/>
<a href="Types.html#Typedef_MessageThreadID">MessageThreadID</a><br/>
<a href="Types.html#Struct_Note">Note</a><br/>
<a href="Types.html#Struct_NoteAttributes">NoteAttributes</a><br/>
<a href="Types.html#Struct_NoteLimits">NoteLimits</a><br/>
<a href="Types.html#Struct_NoteRestrictions">NoteRestrictions</a><br/>
<a href="Types.html#Enum_NoteSortOrder">NoteSortOrder</a><br/>
<a href="Types.html#Struct_Notebook">Notebook</a><br/>
<a href="Types.html#Struct_NotebookDescriptor">NotebookDescriptor</a><br/>
<a href="Types.html#Struct_NotebookRecipientSettings">NotebookRecipientSettings</a><br/>
<a href="Types.html#Struct_NotebookRestrictions">NotebookRestrictions</a><br/>
<a href="Types.html#Struct_PremiumInfo">PremiumInfo</a><br/>
<a href="Types.html#Enum_PremiumOrderStatus">PremiumOrderStatus</a><br/>
<a href="Types.html#Enum_PrivilegeLevel">PrivilegeLevel</a><br/>
<a href="Types.html#Struct_Publishing">Publishing</a><br/>
<a href="Types.html#Enum_QueryFormat">QueryFormat</a><br/>
<a href="Types.html#Struct_RelatedContent">RelatedContent</a><br/>
<a href="Types.html#Enum_RelatedContentAccess">RelatedContentAccess</a><br/>
<a href="Types.html#Struct_RelatedContentImage">RelatedContentImage</a><br/>
<a href="Types.html#Enum_RelatedContentType">RelatedContentType</a><br/>
<a href="Types.html#Enum_ReminderEmailConfig">ReminderEmailConfig</a><br/>
<a href="Types.html#Struct_Resource">Resource</a><br/>
<a href="Types.html#Struct_ResourceAttributes">ResourceAttributes</a><br/>
<a href="Types.html#Struct_SavedSearch">SavedSearch</a><br/>
<a href="Types.html#Struct_SavedSearchScope">SavedSearchScope</a><br/>
<a href="Types.html#Enum_ServiceLevel">ServiceLevel</a><br/>
<a href="Types.html#Struct_SharedNote">SharedNote</a><br/>
<a href="Types.html#Enum_SharedNotePrivilegeLevel">SharedNotePrivilegeLevel</a><br/>
<a href="Types.html#Struct_SharedNotebook">SharedNotebook</a><br/>
<a href="Types.html#Enum_SharedNotebookInstanceRestrictions">SharedNotebookInstanceRestrictions</a><br/>
<a href="Types.html#Enum_SharedNotebookPrivilegeLevel">SharedNotebookPrivilegeLevel</a><br/>
<a href="Types.html#Struct_SharedNotebookRecipientSettings">SharedNotebookRecipientSettings</a><br/>
<a href="Types.html#Enum_SponsoredGroupRole">SponsoredGroupRole</a><br/>
<a href="Types.html#Struct_Tag">Tag</a><br/>
<a href="Types.html#Typedef_Timestamp">Timestamp</a><br/>
<a href="Types.html#Struct_User">User</a><br/>
<a href="Types.html#Struct_UserAttributes">UserAttributes</a><br/>
<a href="Types.html#Typedef_UserID">UserID</a><br/>
<a href="Types.html#Struct_UserIdentity">UserIdentity</a><br/>
<a href="Types.html#Enum_UserIdentityType">UserIdentityType</a><br/>
<a href="Types.html#Struct_UserProfile">UserProfile</a><br/>
</td>
<td><code><a href="Types.html#Const_CLASSIFICATION_RECIPE_SERVICE_RECIPE">CLASSIFICATION_RECIPE_SERVICE_RECIPE</a><br/>
<a href="Types.html#Const_CLASSIFICATION_RECIPE_USER_NON_RECIPE">CLASSIFICATION_RECIPE_USER_NON_RECIPE</a><br/>
<a href="Types.html#Const_CLASSIFICATION_RECIPE_USER_RECIPE">CLASSIFICATION_RECIPE_USER_RECIPE</a><br/>
<a href="Types.html#Const_EDAM_NOTE_SOURCE_MAIL_CLIP">EDAM_NOTE_SOURCE_MAIL_CLIP</a><br/>
<a href="Types.html#Const_EDAM_NOTE_SOURCE_MAIL_SMTP_GATEWAY">EDAM_NOTE_SOURCE_MAIL_SMTP_GATEWAY</a><br/>
<a href="Types.html#Const_EDAM_NOTE_SOURCE_WEB_CLIP">EDAM_NOTE_SOURCE_WEB_CLIP</a><br/>
<a href="Types.html#Const_EDAM_NOTE_SOURCE_WEB_CLIP_SIMPLIFIED">EDAM_NOTE_SOURCE_WEB_CLIP_SIMPLIFIED</a><br/>
</code></td>
</tr><tr>
<td>Limits</td><td></td>
<td></td>
<td><code><a href="Limits.html#Const_EDAM_APPLICATIONDATA_ENTRY_LEN_MAX">EDAM_APPLICATIONDATA_ENTRY_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_NAME_LEN_MAX">EDAM_APPLICATIONDATA_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_NAME_LEN_MIN">EDAM_APPLICATIONDATA_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_NAME_REGEX">EDAM_APPLICATIONDATA_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_VALUE_LEN_MAX">EDAM_APPLICATIONDATA_VALUE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_VALUE_LEN_MIN">EDAM_APPLICATIONDATA_VALUE_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_APPLICATIONDATA_VALUE_REGEX">EDAM_APPLICATIONDATA_VALUE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_APP_RATING_MAX">EDAM_APP_RATING_MAX</a><br/>
<a href="Limits.html#Const_EDAM_APP_RATING_MIN">EDAM_APP_RATING_MIN</a><br/>
<a href="Limits.html#Const_EDAM_ATTRIBUTE_LEN_MAX">EDAM_ATTRIBUTE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_ATTRIBUTE_LEN_MIN">EDAM_ATTRIBUTE_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_ATTRIBUTE_LIST_MAX">EDAM_ATTRIBUTE_LIST_MAX</a><br/>
<a href="Limits.html#Const_EDAM_ATTRIBUTE_MAP_MAX">EDAM_ATTRIBUTE_MAP_MAX</a><br/>
<a href="Limits.html#Const_EDAM_ATTRIBUTE_REGEX">EDAM_ATTRIBUTE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_MARKETING_CODE_REGEX_PATTERN">EDAM_BUSINESS_MARKETING_CODE_REGEX_PATTERN</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_NOTEBOOKS_MAX">EDAM_BUSINESS_NOTEBOOKS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_LEN_MAX">EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_LEN_MIN">EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_REGEX">EDAM_BUSINESS_NOTEBOOK_DESCRIPTION_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_NOTES_MAX">EDAM_BUSINESS_NOTES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_PHONE_NUMBER_LEN_MAX">EDAM_BUSINESS_PHONE_NUMBER_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_TAGS_MAX">EDAM_BUSINESS_TAGS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_BUSINESS_URI_LEN_MAX">EDAM_BUSINESS_URI_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_CONNECTED_IDENTITY_REQUEST_MAX">EDAM_CONNECTED_IDENTITY_REQUEST_MAX</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_FOOD_MEAL">EDAM_CONTENT_CLASS_FOOD_MEAL</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_HELLO_ENCOUNTER">EDAM_CONTENT_CLASS_HELLO_ENCOUNTER</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_HELLO_PROFILE">EDAM_CONTENT_CLASS_HELLO_PROFILE</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_PENULTIMATE_NOTEBOOK">EDAM_CONTENT_CLASS_PENULTIMATE_NOTEBOOK</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_PENULTIMATE_PREFIX">EDAM_CONTENT_CLASS_PENULTIMATE_PREFIX</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_SKITCH">EDAM_CONTENT_CLASS_SKITCH</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_SKITCH_PDF">EDAM_CONTENT_CLASS_SKITCH_PDF</a><br/>
<a href="Limits.html#Const_EDAM_CONTENT_CLASS_SKITCH_PREFIX">EDAM_CONTENT_CLASS_SKITCH_PREFIX</a><br/>
<a href="Limits.html#Const_EDAM_DEVICE_DESCRIPTION_LEN_MAX">EDAM_DEVICE_DESCRIPTION_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_DEVICE_DESCRIPTION_REGEX">EDAM_DEVICE_DESCRIPTION_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_DEVICE_ID_LEN_MAX">EDAM_DEVICE_ID_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_DEVICE_ID_REGEX">EDAM_DEVICE_ID_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_EMAIL_DOMAIN_REGEX">EDAM_EMAIL_DOMAIN_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_EMAIL_LEN_MAX">EDAM_EMAIL_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_EMAIL_LEN_MIN">EDAM_EMAIL_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_EMAIL_LOCAL_REGEX">EDAM_EMAIL_LOCAL_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_EMAIL_REGEX">EDAM_EMAIL_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_FIND_CONTACT_DEFAULT_MAX_RESULTS">EDAM_FIND_CONTACT_DEFAULT_MAX_RESULTS</a><br/>
<a href="Limits.html#Const_EDAM_FIND_CONTACT_MAX_RESULTS">EDAM_FIND_CONTACT_MAX_RESULTS</a><br/>
<a href="Limits.html#Const_EDAM_FOOD_APP_CONTENT_CLASS_PREFIX">EDAM_FOOD_APP_CONTENT_CLASS_PREFIX</a><br/>
<a href="Limits.html#Const_EDAM_GET_ORDERS_MAX_RESULTS">EDAM_GET_ORDERS_MAX_RESULTS</a><br/>
<a href="Limits.html#Const_EDAM_GUID_LEN_MAX">EDAM_GUID_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_GUID_LEN_MIN">EDAM_GUID_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_GUID_REGEX">EDAM_GUID_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_HASH_LEN">EDAM_HASH_LEN</a><br/>
<a href="Limits.html#Const_EDAM_HELLO_APP_CONTENT_CLASS_PREFIX">EDAM_HELLO_APP_CONTENT_CLASS_PREFIX</a><br/>
<a href="Limits.html#Const_EDAM_INDEXABLE_PLAINTEXT_MIME_TYPES">EDAM_INDEXABLE_PLAINTEXT_MIME_TYPES</a><br/>
<a href="Limits.html#Const_EDAM_INDEXABLE_RESOURCE_MIME_TYPES">EDAM_INDEXABLE_RESOURCE_MIME_TYPES</a><br/>
<a href="Limits.html#Const_EDAM_MAX_PREFERENCES">EDAM_MAX_PREFERENCES</a><br/>
<a href="Limits.html#Const_EDAM_MAX_VALUES_PER_PREFERENCE">EDAM_MAX_VALUES_PER_PREFERENCE</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_ATTACHMENTS_MAX">EDAM_MESSAGE_ATTACHMENTS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_ATTACHMENT_SNIPPET_LEN_MAX">EDAM_MESSAGE_ATTACHMENT_SNIPPET_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_ATTACHMENT_SNIPPET_REGEX">EDAM_MESSAGE_ATTACHMENT_SNIPPET_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_ATTACHMENT_TITLE_LEN_MAX">EDAM_MESSAGE_ATTACHMENT_TITLE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_ATTACHMENT_TITLE_REGEX">EDAM_MESSAGE_ATTACHMENT_TITLE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_BODY_LEN_MAX">EDAM_MESSAGE_BODY_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_BODY_REGEX">EDAM_MESSAGE_BODY_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_MESSAGE_RECIPIENTS_MAX">EDAM_MESSAGE_RECIPIENTS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MIME_LEN_MAX">EDAM_MIME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_MIME_LEN_MIN">EDAM_MIME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_MIME_REGEX">EDAM_MIME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPES">EDAM_MIME_TYPES</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_AAC">EDAM_MIME_TYPE_AAC</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_AMR">EDAM_MIME_TYPE_AMR</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_DEFAULT">EDAM_MIME_TYPE_DEFAULT</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_GIF">EDAM_MIME_TYPE_GIF</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_INK">EDAM_MIME_TYPE_INK</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_JPEG">EDAM_MIME_TYPE_JPEG</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_M4A">EDAM_MIME_TYPE_M4A</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_MP3">EDAM_MIME_TYPE_MP3</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_MP4_VIDEO">EDAM_MIME_TYPE_MP4_VIDEO</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_PDF">EDAM_MIME_TYPE_PDF</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_PNG">EDAM_MIME_TYPE_PNG</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_TIFF">EDAM_MIME_TYPE_TIFF</a><br/>
<a href="Limits.html#Const_EDAM_MIME_TYPE_WAV">EDAM_MIME_TYPE_WAV</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_BUSINESS_SHARED_NOTEBOOK_MAX">EDAM_NOTEBOOK_BUSINESS_SHARED_NOTEBOOK_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_NAME_LEN_MAX">EDAM_NOTEBOOK_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_NAME_LEN_MIN">EDAM_NOTEBOOK_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_NAME_REGEX">EDAM_NOTEBOOK_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_PERSONAL_SHARED_NOTEBOOK_MAX">EDAM_NOTEBOOK_PERSONAL_SHARED_NOTEBOOK_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_STACK_LEN_MAX">EDAM_NOTEBOOK_STACK_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_STACK_LEN_MIN">EDAM_NOTEBOOK_STACK_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_NOTEBOOK_STACK_REGEX">EDAM_NOTEBOOK_STACK_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_BUSINESS_SHARED_NOTE_MAX">EDAM_NOTE_BUSINESS_SHARED_NOTE_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_CONTENT_CLASS_LEN_MAX">EDAM_NOTE_CONTENT_CLASS_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_CONTENT_CLASS_LEN_MIN">EDAM_NOTE_CONTENT_CLASS_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_CONTENT_CLASS_REGEX">EDAM_NOTE_CONTENT_CLASS_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_CONTENT_LEN_MAX">EDAM_NOTE_CONTENT_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_CONTENT_LEN_MIN">EDAM_NOTE_CONTENT_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_LOCK_VIEWERS_NOTES_MAX">EDAM_NOTE_LOCK_VIEWERS_NOTES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_PERSONAL_SHARED_NOTE_MAX">EDAM_NOTE_PERSONAL_SHARED_NOTE_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_RESOURCES_MAX">EDAM_NOTE_RESOURCES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_SIZE_MAX_FREE">EDAM_NOTE_SIZE_MAX_FREE</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_SIZE_MAX_PREMIUM">EDAM_NOTE_SIZE_MAX_PREMIUM</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TAGS_MAX">EDAM_NOTE_TAGS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_LEN_MAX">EDAM_NOTE_TITLE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_LEN_MIN">EDAM_NOTE_TITLE_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_QUALITY_HIGH">EDAM_NOTE_TITLE_QUALITY_HIGH</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_QUALITY_LOW">EDAM_NOTE_TITLE_QUALITY_LOW</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_QUALITY_MEDIUM">EDAM_NOTE_TITLE_QUALITY_MEDIUM</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_QUALITY_UNTITLED">EDAM_NOTE_TITLE_QUALITY_UNTITLED</a><br/>
<a href="Limits.html#Const_EDAM_NOTE_TITLE_REGEX">EDAM_NOTE_TITLE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_BUSINESS_DEFAULT_NOTEBOOK">EDAM_PREFERENCE_BUSINESS_DEFAULT_NOTEBOOK</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_BUSINESS_QUICKNOTE">EDAM_PREFERENCE_BUSINESS_QUICKNOTE</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_NAME_LEN_MAX">EDAM_PREFERENCE_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_NAME_LEN_MIN">EDAM_PREFERENCE_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_NAME_REGEX">EDAM_PREFERENCE_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_ONLY_ONE_VALUE_LEN_MAX">EDAM_PREFERENCE_ONLY_ONE_VALUE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_ONLY_ONE_VALUE_REGEX">EDAM_PREFERENCE_ONLY_ONE_VALUE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_SHORTCUTS">EDAM_PREFERENCE_SHORTCUTS</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_SHORTCUTS_MAX_VALUES">EDAM_PREFERENCE_SHORTCUTS_MAX_VALUES</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_VALUE_LEN_MAX">EDAM_PREFERENCE_VALUE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_VALUE_LEN_MIN">EDAM_PREFERENCE_VALUE_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_PREFERENCE_VALUE_REGEX">EDAM_PREFERENCE_VALUE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PROMOTION_ID_LEN_MAX">EDAM_PROMOTION_ID_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PROMOTION_ID_REGEX">EDAM_PROMOTION_ID_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_DESCRIPTION_LEN_MAX">EDAM_PUBLISHING_DESCRIPTION_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_DESCRIPTION_LEN_MIN">EDAM_PUBLISHING_DESCRIPTION_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_DESCRIPTION_REGEX">EDAM_PUBLISHING_DESCRIPTION_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_URI_LEN_MAX">EDAM_PUBLISHING_URI_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_URI_LEN_MIN">EDAM_PUBLISHING_URI_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_URI_PROHIBITED">EDAM_PUBLISHING_URI_PROHIBITED</a><br/>
<a href="Limits.html#Const_EDAM_PUBLISHING_URI_REGEX">EDAM_PUBLISHING_URI_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_MAX_EXPERTS">EDAM_RELATED_MAX_EXPERTS</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_MAX_NOTEBOOKS">EDAM_RELATED_MAX_NOTEBOOKS</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_MAX_NOTES">EDAM_RELATED_MAX_NOTES</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_MAX_RELATED_CONTENT">EDAM_RELATED_MAX_RELATED_CONTENT</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_MAX_TAGS">EDAM_RELATED_MAX_TAGS</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_PLAINTEXT_LEN_MAX">EDAM_RELATED_PLAINTEXT_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_RELATED_PLAINTEXT_LEN_MIN">EDAM_RELATED_PLAINTEXT_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_RESOURCE_SIZE_MAX_FREE">EDAM_RESOURCE_SIZE_MAX_FREE</a><br/>
<a href="Limits.html#Const_EDAM_RESOURCE_SIZE_MAX_PREMIUM">EDAM_RESOURCE_SIZE_MAX_PREMIUM</a><br/>
<a href="Limits.html#Const_EDAM_SAVED_SEARCH_NAME_LEN_MAX">EDAM_SAVED_SEARCH_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_SAVED_SEARCH_NAME_LEN_MIN">EDAM_SAVED_SEARCH_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_SAVED_SEARCH_NAME_REGEX">EDAM_SAVED_SEARCH_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_QUERY_LEN_MAX">EDAM_SEARCH_QUERY_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_QUERY_LEN_MIN">EDAM_SEARCH_QUERY_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_QUERY_REGEX">EDAM_SEARCH_QUERY_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_SUGGESTIONS_MAX">EDAM_SEARCH_SUGGESTIONS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_SUGGESTIONS_PREFIX_LEN_MAX">EDAM_SEARCH_SUGGESTIONS_PREFIX_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_SEARCH_SUGGESTIONS_PREFIX_LEN_MIN">EDAM_SEARCH_SUGGESTIONS_PREFIX_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_SNIPPETS_NOTES_MAX">EDAM_SNIPPETS_NOTES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_SOURCE_APPLICATION_EN_SCANSNAP">EDAM_SOURCE_APPLICATION_EN_SCANSNAP</a><br/>
<a href="Limits.html#Const_EDAM_SOURCE_APPLICATION_EWC">EDAM_SOURCE_APPLICATION_EWC</a><br/>
<a href="Limits.html#Const_EDAM_SOURCE_APPLICATION_MOLESKINE">EDAM_SOURCE_APPLICATION_MOLESKINE</a><br/>
<a href="Limits.html#Const_EDAM_SOURCE_APPLICATION_POSTIT">EDAM_SOURCE_APPLICATION_POSTIT</a><br/>
<a href="Limits.html#Const_EDAM_SOURCE_OUTLOOK_CLIPPER">EDAM_SOURCE_OUTLOOK_CLIPPER</a><br/>
<a href="Limits.html#Const_EDAM_TAG_NAME_LEN_MAX">EDAM_TAG_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_TAG_NAME_LEN_MIN">EDAM_TAG_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_TAG_NAME_REGEX">EDAM_TAG_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_TIMEZONE_LEN_MAX">EDAM_TIMEZONE_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_TIMEZONE_LEN_MIN">EDAM_TIMEZONE_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_TIMEZONE_REGEX">EDAM_TIMEZONE_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_USER_LINKED_NOTEBOOK_MAX">EDAM_USER_LINKED_NOTEBOOK_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_LINKED_NOTEBOOK_MAX_PREMIUM">EDAM_USER_LINKED_NOTEBOOK_MAX_PREMIUM</a><br/>
<a href="Limits.html#Const_EDAM_USER_MAIL_LIMIT_DAILY_FREE">EDAM_USER_MAIL_LIMIT_DAILY_FREE</a><br/>
<a href="Limits.html#Const_EDAM_USER_MAIL_LIMIT_DAILY_PREMIUM">EDAM_USER_MAIL_LIMIT_DAILY_PREMIUM</a><br/>
<a href="Limits.html#Const_EDAM_USER_NAME_LEN_MAX">EDAM_USER_NAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_NAME_LEN_MIN">EDAM_USER_NAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_USER_NAME_REGEX">EDAM_USER_NAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_USER_NOTEBOOKS_MAX">EDAM_USER_NOTEBOOKS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_NOTES_MAX">EDAM_USER_NOTES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_PASSWORD_LEN_MAX">EDAM_USER_PASSWORD_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_PASSWORD_LEN_MIN">EDAM_USER_PASSWORD_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_USER_PASSWORD_REGEX">EDAM_USER_PASSWORD_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_USER_PROFILE_PHOTO_MAX_BYTES">EDAM_USER_PROFILE_PHOTO_MAX_BYTES</a><br/>
<a href="Limits.html#Const_EDAM_USER_RECENT_MAILED_ADDRESSES_MAX">EDAM_USER_RECENT_MAILED_ADDRESSES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_SAVED_SEARCHES_MAX">EDAM_USER_SAVED_SEARCHES_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_TAGS_MAX">EDAM_USER_TAGS_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_LIMIT_BUSINESS">EDAM_USER_UPLOAD_LIMIT_BUSINESS</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_LIMIT_BUSINESS_PER_USER">EDAM_USER_UPLOAD_LIMIT_BUSINESS_PER_USER</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_LIMIT_FREE">EDAM_USER_UPLOAD_LIMIT_FREE</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_LIMIT_PLUS">EDAM_USER_UPLOAD_LIMIT_PLUS</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_LIMIT_PREMIUM">EDAM_USER_UPLOAD_LIMIT_PREMIUM</a><br/>
<a href="Limits.html#Const_EDAM_USER_UPLOAD_SURVEY_THRESHOLD">EDAM_USER_UPLOAD_SURVEY_THRESHOLD</a><br/>
<a href="Limits.html#Const_EDAM_USER_USERNAME_LEN_MAX">EDAM_USER_USERNAME_LEN_MAX</a><br/>
<a href="Limits.html#Const_EDAM_USER_USERNAME_LEN_MIN">EDAM_USER_USERNAME_LEN_MIN</a><br/>
<a href="Limits.html#Const_EDAM_USER_USERNAME_REGEX">EDAM_USER_USERNAME_REGEX</a><br/>
<a href="Limits.html#Const_EDAM_VAT_REGEX">EDAM_VAT_REGEX</a><br/>
</code></td>
</tr><tr>
<td>Errors</td><td></td>
<td><a href="Errors.html#Enum_EDAMErrorCode">EDAMErrorCode</a><br/>
<a href="Errors.html#Enum_EDAMInvalidContactReason">EDAMInvalidContactReason</a><br/>
<a href="Errors.html#Struct_EDAMInvalidContactsException">EDAMInvalidContactsException</a><br/>
<a href="Errors.html#Struct_EDAMNotFoundException">EDAMNotFoundException</a><br/>
<a href="Errors.html#Struct_EDAMSystemException">EDAMSystemException</a><br/>
<a href="Errors.html#Struct_EDAMUserException">EDAMUserException</a><br/>
</td>
<td><code></code></td>
</tr></table>
</body></html>
